Subject: FW: BCP0097 RFC 4897 on Handling Normative References to Standards-Track Documents

From: "Larry Masinter" <[email-masked]>
Date: Sun, 17 Jun 2007 22:06:00 -0700

It might be not so difficult to publish 2616bis as Standard even if
normative
references are Proposed or Draft (including, for example, 2617bis).

        BCP 97        
        RFC 4897

        Title:      Handling Normative References to Standards-Track 
                    Documents 
        Author:     J. Klensin, S. Hartman
        Status:     Best Current Practice
        Date:       June 2007
        Mailbox:    [email-masked], 
                    [email-masked]
        Pages:      6
        Characters: 13023

        I-D Tag:    draft-klensin-norm-ref-04.txt

        URL:        http://www.rfc-editor.org/rfc/rfc4897.txt 

The Internet Engineering Task Force (IETF) and Request for Comments
(RFC) Editor have a long-standing rule that a document at a given
maturity level cannot be published until all of the documents that it
references as normative are at that maturity level or higher.  This
rule has sometimes resulted in very long publication delays for
documents and some claims that it was a major obstruction to
advancing documents in maturity level.  The IETF agreed on a way to
bypass this rule with RFC 3967.  This document describes a simpler
procedure for downward references to Standards-Track and Best Current
Practice (BCP) documents, namely "note and move on".  The procedure
in RFC 3967 still applies for downward references to other classes of
documents.  In both cases, annotations should be added to such
References.  This document specifies an Internet Best Current Practices 
for the Internet Community, and requests discussion and suggestions for
improvements.

This document specifies an Internet Best Current Practices for the
Internet Community, and requests discussion and suggestions for
improvements.  Distribution of this memo is unlimited.

---

From: Julian Reschke <[email-masked]>
Date: Mon, 18 Jun 2007 11:25:25 +0200

Ok,

so let's look where we are with 
<http://www.w3.org/Protocols/HTTP/1.1/rfc2616bis/draft-lafon-rfc2616bis-latest.html>, 
using the xml2rfc/XSLT based checker 
(<http://greenbytes.de/tech/webdav/rfc2629xslt/rfc2629xslt.html#checking-references>), 
and checking for an intended status of "DRAFT":

-- cut --
Normative References:
ISO-8859-1: not checked
RFC1766: [PROPOSED STANDARD] obsoleted by RFC3066 RFC3282
RFC1864: [DRAFT STANDARD]
RFC1950: [INFORMATIONAL] -- intended standards level of DRAFT 
incompatible with this document's standard level!
RFC1951: [INFORMATIONAL] -- intended standards level of DRAFT 
incompatible with this document's standard level!
RFC1952: [INFORMATIONAL] -- intended standards level of DRAFT 
incompatible with this document's standard level!
RFC2045: [DRAFT STANDARD]
RFC2046: [DRAFT STANDARD]
RFC2047: [DRAFT STANDARD]
RFC2119: [BEST CURRENT PRACTICE] (-> BCP0014)
RFC2396: [DRAFT STANDARD] obsoleted by RFC3986
RFC2617: [DRAFT STANDARD]
RFC2822: [PROPOSED STANDARD] -- intended standards level of DRAFT 
incompatible with this document's standard level!
RFC4288: [BEST CURRENT PRACTICE] (-> BCP0013)
RFC0822: [STANDARD] (-> STD0011) obsoleted by RFC2822
USASCII: not checked

Informative References:
draft-luotonen-web-proxy-tunneling-01: [  Expired] (not active)
Nie1997: not checked
Pad1995: not checked
RFC1036: [UNKNOWN] ok
RFC1123: [STANDARD] (-> STD0003) ok
RFC1305: [DRAFT STANDARD] ok
RFC1436: [INFORMATIONAL] ok
RFC1630: [INFORMATIONAL] ok
RFC1737: [INFORMATIONAL] ok
RFC1738: [PROPOSED STANDARD] obsoleted by RFC4248 RFC4266
RFC1806: [EXPERIMENTAL] ok
RFC1808: [PROPOSED STANDARD] obsoleted by RFC3986
RFC1900: [INFORMATIONAL] ok
RFC1945: [INFORMATIONAL] ok
RFC2026: [BEST CURRENT PRACTICE] (-> BCP0009) ok
RFC2049: [DRAFT STANDARD] ok
RFC2068: [PROPOSED STANDARD] obsoleted by RFC2616
RFC2076: [INFORMATIONAL] ok
RFC2145: [INFORMATIONAL] ok
RFC2183: [PROPOSED STANDARD] ok
RFC2277: [BEST CURRENT PRACTICE] (-> BCP0018) ok
RFC2324: [INFORMATIONAL] ok
RFC2388: [PROPOSED STANDARD] ok
RFC2557: [PROPOSED STANDARD] ok
RFC2616: [DRAFT STANDARD] ok
RFC2821: [PROPOSED STANDARD] ok
RFC3629: [STANDARD] (-> STD0063) ok
RFC3977: [PROPOSED STANDARD] ok
RFC0822: [STANDARD] (-> STD0011) obsoleted by RFC2822
RFC0959: [STANDARD] (-> STD0009) ok
Spero: not checked
Tou1998: not checked
WAIS: not checked
-- cut --

In this case, we'll have to add notes explaining why the downrefs to 
RFC1950-1952 (GZIP & friends) and RFC2822 (Internet Message Format) are 
ok (have re-opened issues for these).

Now for the interesting question about how to get to full standard. In 
this case, we get (pasting just the normative ones):

-- cut --
Normative References:
ISO-8859-1: not checked
RFC1766: [PROPOSED STANDARD] obsoleted by RFC3066 RFC3282
RFC1864: [DRAFT STANDARD] -- intended standards level of STANDARD 
incompatible with this document's standard level!
RFC1950: [INFORMATIONAL] -- intended standards level of STANDARD 
incompatible with this document's standard level!
RFC1951: [INFORMATIONAL] -- intended standards level of STANDARD 
incompatible with this document's standard level!
RFC1952: [INFORMATIONAL] -- intended standards level of STANDARD 
incompatible with this document's standard level!
RFC2045: [DRAFT STANDARD] -- intended standards level of STANDARD 
incompatible with this document's standard level!
RFC2046: [DRAFT STANDARD] -- intended standards level of STANDARD 
incompatible with this document's standard level!
RFC2047: [DRAFT STANDARD] -- intended standards level of STANDARD 
incompatible with this document's standard level!
RFC2119: [BEST CURRENT PRACTICE] (-> BCP0014)
RFC2396: [DRAFT STANDARD] obsoleted by RFC3986
RFC2617: [DRAFT STANDARD] -- intended standards level of STANDARD 
incompatible with this document's standard level!
RFC2822: [PROPOSED STANDARD] -- intended standards level of STANDARD 
incompatible with this document's standard level!
RFC4288: [BEST CURRENT PRACTICE] (-> BCP0013)
RFC0822: [STANDARD] (-> STD0011) obsoleted by RFC2822
USASCII: not checked
-- cut --

So, in addition we'll have to take care of RFC1766 (update is a BCP, so 
we should be fine), RFC1864 (Content-MD5) and RFC2617 (http auth).

Best regards, Julian

PS: yes, the doc still contains references to obsoleted material, but we 
haven't been exactly fast in working on these...

---

From: Julian Reschke <[email-masked]>
Date: Mon, 18 Jun 2007 11:29:28 +0200

Julian Reschke wrote:
> ...
> ...

... *and* of course the MIME specs.

Best regards, Julian